### Class

# Phosh NotifyFeedback

since: 0

#### Description [src]

    final class Phosh.NotifyFeedback : GObject.Object
    {
      /* No available fields */
    }

Provide feedback on notifications

`PhoshNotifyFeedback` is the manager object responsible to provide proper feedback on new notifications or when notifications are being closed.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_notify_feedback_new

No description available.

since: 0

#### Instance methods

###### phosh_notify_feedback_check_screen_wakeup

Checks if the given notification should trigger screeen wakeup.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.NotifyFeedback:notification-list

The list of notifications that drives the feedback emission.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshNotifyFeedbackClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.